return Def.ActorFrame {

	LoadActor( THEME:GetPathS("", "FX09.ogg") ) .. {
			OnCommand=cmd(play);
	};

	LoadActor("RealBG") .. {

		OnCommand=function(self,params)
			
			if (GAMESTATE:GetCurrentStyle():GetName() == "real" or GAMESTATE:GetCurrentStyle():GetName() == "versusReal") then
				self:visible(1);
			else
				self:visible(0);
			end;
		end;

	};
	

	LoadActor("ClubBG") .. {

		OnCommand=function(self,params)
			
			if GAMESTATE:GetCurrentStyle():GetName() == "double" then
				self:visible(1);
			else
				self:visible(0);
			end;
		end;

	};


	

	LoadActor("HardBG") .. {
		OnCommand=function(self,params)
			
			if (GAMESTATE:GetCurrentStyle():GetName() == "single" or GAMESTATE:GetCurrentStyle():GetName() == "versus") and (GAMESTATE:GetPreferredDifficulty("PlayerNumber_P1") ~= 'Difficulty_Easy' or GAMESTATE:GetPreferredDifficulty("PlayerNumber_P2") ~= 'Difficulty_Easy')  then
				self:visible(1);
			else
				self:visible(0);
			end;
		end;
	};
	
	LoadActor("EasyBG") .. {
		OnCommand=function(self,params)
			
			if (GAMESTATE:GetCurrentStyle():GetName() == "single" or GAMESTATE:GetCurrentStyle():GetName() == "versus") and (GAMESTATE:GetPreferredDifficulty("PlayerNumber_P1") == 'Difficulty_Easy' or GAMESTATE:GetPreferredDifficulty("PlayerNumber_P2") == 'Difficulty_Easy') then
				self:visible(1);
			else
				self:visible(0);
			end;
		end;
	};	
	
	
	LoadActor("TV") .. {
		OnCommand=cmd(x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT/2;zoomy,2.8;zoomx,3.6;linear,1;zoomx,1.8;zoomy,1.2);	
	};
	
	LoadActor("SelectAMusic") .. {
		OnCommand=cmd(x,SCREEN_CENTER_X+01;y,SCREEN_CENTER_Y-210;zoomx,1.2;zoomy,0;sleep,0;linear,1;zoomx,1.2;zoomy,1;)
	};
	
	LoadActor("Info_one_eng") .. {
		OnCommand=cmd(;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT-60;zoomx,1.5;zoomy,0;sleep,0;linear,1;zoomx,1.5;zoomy,1;)	
	};	
	
	
};


